> For the complete documentation index, see [llms.txt](https://docs.aikynetix.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aikynetix.app/ru/api-documentation/video-upload-and-processing-workflow/processing-pipeline.md).

# Конвейер обработки

{% @mermaid/diagram content="flowchart TD
A\[Загрузка видео через API] --> B\[Получение видео]
B --> C\[Проверка и сохранение видео]
C --> D\[Добавление видео в очередь обработки]
D --> E\[Извлечение кадров]
E --> F\[Предобработка кадров]
F --> G\[Применение алгоритмов обработки]
G --> H\[Генерация обработанного видео и метрик]
H --> I\[Сохранение обработанного видео и данных]
I --> J\[Возврат Job ID]" %}

1. **Загрузка видео через API:** Клиент загружает видеофайл через наш API.
2. **Получение видео:** Сервер принимает видео.
3. **Проверка и сохранение видео:** Система проверяет видеофайл и сохраняет его в нашем хранилище.
4. **Добавление видео в очередь обработки:** Видео добавляется в очередь обработки.
5. **Извлечение кадров:** Видео разбивается на отдельные кадры.
6. **Предобработка кадров:** Кадры проходят предварительную обработку (например, изменение размера, нормализация) для подготовки к анализу.
7. **Применение алгоритмов обработки:** Наши алгоритмы обрабатывают кадры (например, для извлечения признаков или анализа).
8. **Генерация обработанного видео и метрик:** Генерируется новое видео вместе с метриками производительности.
9. **Сохранение обработанного видео и данных:** Обработанное видео и метрики сохраняются.
10. **Уведомление пользователя (Возврат Job ID):** Пользователь получает уведомление о начале обработки и Job ID для отслеживания.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.aikynetix.app/ru/api-documentation/video-upload-and-processing-workflow/processing-pipeline.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
